Package org.springframework.dao

# Class CleanupFailureDataAccessException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.dao.DataAccessException
org.springframework.dao.NonTransientDataAccessException
org.springframework.dao.CleanupFailureDataAccessException

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="6.0.3") public class CleanupFailureDataAccessException extends NonTransientDataAccessException
Deprecated.
as of 6.0.3 since it is not in use within core JDBC/ORM support
Exception thrown when we couldn't clean up after a data access operation, but the actual operation went OK.

For example, this exception or a subclass might be thrown if a JDBC Connection couldn't be closed after it had been used successfully.

Note that data access code might perform resources cleanup in a `finally` block and therefore log cleanup failure rather than rethrow it, to keep the original data access exception, if any.

Author:
  Rod Johnson
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CleanupFailureDataAccessException(String msg, Throwable cause)`
Deprecated.
Constructor for CleanupFailureDataAccessException.

## Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CleanupFailureDataAccessException

public CleanupFailureDataAccessException(String msg, Throwable cause)
Deprecated.
Constructor for CleanupFailureDataAccessException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the underlying data access API, such as JDBC